open-vm-tools 10.1.5

Macros | Functions
log.h File Reference
`#include <glib.h>`

Go to the source code of this file.

## Macros
#define | FUNC __FUNCTION__
#define | g_info(fmt, ...) g_log(G_LOG_DOMAIN, G_LOG_LEVEL_INFO, fmt, ## __VA_ARGS__)
#define | VMTOOLS_LOGGING_LEVEL_DEFAULT "message"
#define | vm_critical(fmt, ...) g_critical("%s: " fmt, FUNC, ## __VA_ARGS__)
#define | vm_debug(fmt, ...) g_debug("%s: " fmt, FUNC, ## __VA_ARGS__)
#define | vm_error(fmt, ...) g_error("%s: " fmt, FUNC, ## __VA_ARGS__)
#define | vm_info(fmt, ...) g_info("%s: " fmt, FUNC, ## __VA_ARGS__)
#define | vm_message(fmt, ...) g_message("%s: " fmt, FUNC, ## __VA_ARGS__)
#define | vm_warning(fmt, ...) g_warning("%s: " fmt, FUNC, ## __VA_ARGS__)

## Functions
G_BEGIN_DECLS void | VMTools_ConfigLogToStdio (const gchar *domain)
void | VMTools_ConfigLogging (const gchar *defaultDomain, GKeyFile *cfg, gboolean force, gboolean reset)

## Detailed Description

Some wrappers around glib log functions, expanding their functionality to support common usage patterns at VMware.